#version 420 core

uniform mat4 projection_matrix;
uniform mat4 view_matrix;
uniform mat4 model_matrix;
uniform mat3 normal_matrix;

uniform float specular_coef;

in vec4 vert_pos_view;
in vec3 vert_normal_view;
in vec3 vert_color;

layout(location=0) out vec4 out_color;
layout(location=1) out vec4 out_normal;

void main()
{
  out_color = vec4(vert_color, specular_coef);
  out_normal = vec4(vert_normal_view, gl_FragCoord.z);
}
